---
title: Scoring Rubric
product: Form Library
description: Create a scoring rubric to assess the quality of performance across a number of criteria or tasks. To add a scoring rubric to your evaluation form, view our step-by-step guide and free examples of a rubric integration for different JS frameworks, including JavaScript.
framework: Vanilla JS
source: https://surveyjs.io/form-library/examples/scoring-rubric-example/vanillajs
index: https://surveyjs.io/form-library/examples/overview.md
---

# Scoring Rubric (Vanilla JS)

A scoring rubric (also known as an evaluation rubric) is an assessment tool used to grade the quality of performance across a number of criteria (or tasks). A typical summary rubric consists of rows and columns. The rows represent criteria being assessed, and the columns represent different levels of proficiency or achievement within each criterion. Each cell contains a description of a particular level for a specific criterion. This demo shows how to create a scoring rubric using the SurveyJS Form Library.

To add a scoring rubric to your form, define an object with the `type` property set to `"matrix"` and insert this object into the [`elements`](https://surveyjs.io/form-library/documentation/api-reference/page-model#elements) array. Within this object, specify the following properties:

- [`rows`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#rows)        
An array of rubric criteria.
- [`columns`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#columns)     
An array of performance levels.
- [`cells`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#cells)       
An object that specifies descriptions of each level per rubric criteria.

Refer to the `survey.json` file listing for a code example.

## Files

### `public/index.html`

```html
<div id="surveyElement" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; min-height: 100%; height:100%"></div>
```

### `src/index.css`

```css
.sd-matrix__text {
    font-size: 11px;
}
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

const survey = new Model(json);
survey.onComplete.add((sender, options) => {
    console.log(JSON.stringify(sender.data, null, 3));
});
survey.onTextMarkdown.add((_, options) => {
    options.html = options.text;
});

survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "elements": [
    {
      "type": "matrix",
      "name": "planningPerformance",
      "title": "Purposeful lesson planning (Performance appraisal)",
      "columnMinWidth": "170px",
      "alternateRows": true,
      "columns": [
        "Ineffective",
        "Improvement necessary",
        "Effective",
        "Highly effective"
      ],
      "rows": [
        {
          "value": "dataForPlanning",
          "text": "Teacher utilizes assessment data for planning"
        },
        {
          "value": "ambitiousGoals",
          "text": "Teacher develops ambitious and measurable achievement goals"
        },
        {
          "value": "standardBasedPlanning",
          "text": "Teacher develops standard-based unit plans and assessments"
        },
        {
          "value": "objectiveDrivenPlanning",
          "text": "Teacher creates objective-driven lesson plans and assessments"
        }
      ],
      "cells": {
        "dataForPlanning": {
          "Ineffective": "Teacher rarely or never uses formal and informal assessment data when planning",
          "Improvement necessary": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, or lesson plans, but not all of the above",
          "Effective": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, and lesson plans",
          "Highly effective": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, and lesson plans and incorporates differentiated instructional strategies in planning to reach every student at their level of understanding"
        },
        "ambitiousGoals": {
          "Ineffective": "Teacher rarely or never develops achievement goals for the class, or goals are developed but are too general to be helpful for planning purposes",
          "Improvement necessary": "Teacher develops an annual student achievement goal that lacks more than one of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>",
          "Effective": "Teacher develops an annual student achievement goal that lacks only one of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>",
          "Highly effective": "Teacher develops an annual student achievement goal that have all of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>"
        },
        "standardBasedPlanning": {
          "Ineffective": "Teacher rarely or never plans by identifying content standards that students will master in each unit, or there is little to no evidence that teacher plans units at all",
          "Improvement necessary": "Based on achievement goals, teacher plans units but omits two or more of the following steps: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>",
          "Effective": "Based on achievement goals, teacher plans units but omits only one of the following steps: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>",
          "Highly effective": "Based on achievement goals, teacher plans units by following the steps below: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>"
        },
        "objectiveDrivenPlanning": {
          "Ineffective": "Teacher rarely or never uses a system to track student assessment/progress data and/or has an ineffective grading system",
          "Improvement necessary": "Teacher uses a data tracking system to record student assessment / progress data but fails in both of the following steps: <ul><li>Use data to analyze student progress toward mastery or to plan future lessons / units</li><li>Have a grading system that appropriately aligns with student learning goals</li></ul>",
          "Effective": "Teacher uses a data tracking system to record student assessment / progress data but fails in one of the following steps: <ul><li>Use data to analyze student progress toward mastery or to plan future lessons / units</li><li>Have a grading system that appropriately aligns with student learning goals</li></ul>",
          "Highly effective": "Teacher uses a data tracking system to record student assessment / progress data, maintains a grading system appropriately aligns with student learning goals, and uses data to analyze student progress toward mastery or to plan future lessons / units"
        }
      }
    }
  ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/form-library/examples/scoring-rubric-example/angular.md)
- [React](https://surveyjs.io/form-library/examples/scoring-rubric-example/reactjs.md)
- [Vue 3](https://surveyjs.io/form-library/examples/scoring-rubric-example/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/scoring-rubric-example/jquery.md)


---
title: Scoring Rubric
product: Form Library
description: Create a scoring rubric to assess the quality of performance across a number of criteria or tasks. To add a scoring rubric to your evaluation form, view our step-by-step guide and free examples of a rubric integration for different JS frameworks, including JavaScript.
framework: React
source: https://surveyjs.io/form-library/examples/scoring-rubric-example/reactjs
index: https://surveyjs.io/form-library/examples/overview.md
---

# Scoring Rubric (React)

A scoring rubric (also known as an evaluation rubric) is an assessment tool used to grade the quality of performance across a number of criteria (or tasks). A typical summary rubric consists of rows and columns. The rows represent criteria being assessed, and the columns represent different levels of proficiency or achievement within each criterion. Each cell contains a description of a particular level for a specific criterion. This demo shows how to create a scoring rubric using the SurveyJS Form Library.

To add a scoring rubric to your form, define an object with the `type` property set to `"matrix"` and insert this object into the [`elements`](https://surveyjs.io/form-library/documentation/api-reference/page-model#elements) array. Within this object, specify the following properties:

- [`rows`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#rows)        
An array of rubric criteria.
- [`columns`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#columns)     
An array of performance levels.
- [`cells`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#cells)       
An object that specifies descriptions of each level per rubric criteria.

Refer to the `survey.json` file listing for a code example.

## Files

### `public/index.html`

```html
<div id="surveyElement" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; min-height: 100%; height:100%"></div>
```

### `src/SurveyComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function SurveyComponent() {
    const survey = new Model(json);
    survey.onComplete.add((sender, options) => {
        console.log(JSON.stringify(sender.data, null, 3));
    });
    survey.onTextMarkdown.add((_, options) => {
        options.html = options.text;
    });
    return (<Survey model={survey} />);
}

export default SurveyComponent;
```

### `src/index.css`

```css
.sd-matrix__text {
    font-size: 11px;
}
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyComponent from "./SurveyComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyComponent />);
```

### `src/json.js`

```js
export const json = {
  "elements": [
    {
      "type": "matrix",
      "name": "planningPerformance",
      "title": "Purposeful lesson planning (Performance appraisal)",
      "columnMinWidth": "170px",
      "alternateRows": true,
      "columns": [
        "Ineffective",
        "Improvement necessary",
        "Effective",
        "Highly effective"
      ],
      "rows": [
        {
          "value": "dataForPlanning",
          "text": "Teacher utilizes assessment data for planning"
        },
        {
          "value": "ambitiousGoals",
          "text": "Teacher develops ambitious and measurable achievement goals"
        },
        {
          "value": "standardBasedPlanning",
          "text": "Teacher develops standard-based unit plans and assessments"
        },
        {
          "value": "objectiveDrivenPlanning",
          "text": "Teacher creates objective-driven lesson plans and assessments"
        }
      ],
      "cells": {
        "dataForPlanning": {
          "Ineffective": "Teacher rarely or never uses formal and informal assessment data when planning",
          "Improvement necessary": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, or lesson plans, but not all of the above",
          "Effective": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, and lesson plans",
          "Highly effective": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, and lesson plans and incorporates differentiated instructional strategies in planning to reach every student at their level of understanding"
        },
        "ambitiousGoals": {
          "Ineffective": "Teacher rarely or never develops achievement goals for the class, or goals are developed but are too general to be helpful for planning purposes",
          "Improvement necessary": "Teacher develops an annual student achievement goal that lacks more than one of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>",
          "Effective": "Teacher develops an annual student achievement goal that lacks only one of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>",
          "Highly effective": "Teacher develops an annual student achievement goal that have all of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>"
        },
        "standardBasedPlanning": {
          "Ineffective": "Teacher rarely or never plans by identifying content standards that students will master in each unit, or there is little to no evidence that teacher plans units at all",
          "Improvement necessary": "Based on achievement goals, teacher plans units but omits two or more of the following steps: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>",
          "Effective": "Based on achievement goals, teacher plans units but omits only one of the following steps: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>",
          "Highly effective": "Based on achievement goals, teacher plans units by following the steps below: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>"
        },
        "objectiveDrivenPlanning": {
          "Ineffective": "Teacher rarely or never uses a system to track student assessment/progress data and/or has an ineffective grading system",
          "Improvement necessary": "Teacher uses a data tracking system to record student assessment / progress data but fails in both of the following steps: <ul><li>Use data to analyze student progress toward mastery or to plan future lessons / units</li><li>Have a grading system that appropriately aligns with student learning goals</li></ul>",
          "Effective": "Teacher uses a data tracking system to record student assessment / progress data but fails in one of the following steps: <ul><li>Use data to analyze student progress toward mastery or to plan future lessons / units</li><li>Have a grading system that appropriately aligns with student learning goals</li></ul>",
          "Highly effective": "Teacher uses a data tracking system to record student assessment / progress data, maintains a grading system appropriately aligns with student learning goals, and uses data to analyze student progress toward mastery or to plan future lessons / units"
        }
      }
    }
  ]
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/form-library/examples/scoring-rubric-example/angular.md)
- [Vue 3](https://surveyjs.io/form-library/examples/scoring-rubric-example/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/scoring-rubric-example/jquery.md)
- [Vanilla JS](https://surveyjs.io/form-library/examples/scoring-rubric-example/vanillajs.md)


---
title: Scoring Rubric
product: Form Library
description: Create a scoring rubric to assess the quality of performance across a number of criteria or tasks. To add a scoring rubric to your evaluation form, view our step-by-step guide and free examples of a rubric integration for different JS frameworks, including JavaScript.
framework: Angular
source: https://surveyjs.io/form-library/examples/scoring-rubric-example/angular
index: https://surveyjs.io/form-library/examples/overview.md
---

# Scoring Rubric (Angular)

A scoring rubric (also known as an evaluation rubric) is an assessment tool used to grade the quality of performance across a number of criteria (or tasks). A typical summary rubric consists of rows and columns. The rows represent criteria being assessed, and the columns represent different levels of proficiency or achievement within each criterion. Each cell contains a description of a particular level for a specific criterion. This demo shows how to create a scoring rubric using the SurveyJS Form Library.

To add a scoring rubric to your form, define an object with the `type` property set to `"matrix"` and insert this object into the [`elements`](https://surveyjs.io/form-library/documentation/api-reference/page-model#elements) array. Within this object, specify the following properties:

- [`rows`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#rows)        
An array of rubric criteria.
- [`columns`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#columns)     
An array of performance levels.
- [`cells`](https://surveyjs.io/form-library/documentation/api-reference/matrix-table-question-model#cells)       
An object that specifies descriptions of each level per rubric criteria.

Refer to the `survey.json` file listing for a code example.

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "elements": [
    {
      "type": "matrix",
      "name": "planningPerformance",
      "title": "Purposeful lesson planning (Performance appraisal)",
      "columnMinWidth": "170px",
      "alternateRows": true,
      "columns": [
        "Ineffective",
        "Improvement necessary",
        "Effective",
        "Highly effective"
      ],
      "rows": [
        {
          "value": "dataForPlanning",
          "text": "Teacher utilizes assessment data for planning"
        },
        {
          "value": "ambitiousGoals",
          "text": "Teacher develops ambitious and measurable achievement goals"
        },
        {
          "value": "standardBasedPlanning",
          "text": "Teacher develops standard-based unit plans and assessments"
        },
        {
          "value": "objectiveDrivenPlanning",
          "text": "Teacher creates objective-driven lesson plans and assessments"
        }
      ],
      "cells": {
        "dataForPlanning": {
          "Ineffective": "Teacher rarely or never uses formal and informal assessment data when planning",
          "Improvement necessary": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, or lesson plans, but not all of the above",
          "Effective": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, and lesson plans",
          "Highly effective": "Teacher uses formal and informal assessment data to formulate achievement goals, unit plans, and lesson plans and incorporates differentiated instructional strategies in planning to reach every student at their level of understanding"
        },
        "ambitiousGoals": {
          "Ineffective": "Teacher rarely or never develops achievement goals for the class, or goals are developed but are too general to be helpful for planning purposes",
          "Improvement necessary": "Teacher develops an annual student achievement goal that lacks more than one of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>",
          "Effective": "Teacher develops an annual student achievement goal that lacks only one of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>",
          "Highly effective": "Teacher develops an annual student achievement goal that have all of the following traits: <ul><li>Measurable</li><li>Aligned to content standards where applicable</li><li>Includes benchmarks to help monitor learning and inform interventions throughout the year</li></ul>"
        },
        "standardBasedPlanning": {
          "Ineffective": "Teacher rarely or never plans by identifying content standards that students will master in each unit, or there is little to no evidence that teacher plans units at all",
          "Improvement necessary": "Based on achievement goals, teacher plans units but omits two or more of the following steps: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>",
          "Effective": "Based on achievement goals, teacher plans units but omits only one of the following steps: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>",
          "Highly effective": "Based on achievement goals, teacher plans units by following the steps below: <ul><li>Identifying content standards that students will master in each unit</li><li>Creating assessments before planning units</li><li>Allocating an instructionally appropriate amount of time for each unit</li></ul>"
        },
        "objectiveDrivenPlanning": {
          "Ineffective": "Teacher rarely or never uses a system to track student assessment/progress data and/or has an ineffective grading system",
          "Improvement necessary": "Teacher uses a data tracking system to record student assessment / progress data but fails in both of the following steps: <ul><li>Use data to analyze student progress toward mastery or to plan future lessons / units</li><li>Have a grading system that appropriately aligns with student learning goals</li></ul>",
          "Effective": "Teacher uses a data tracking system to record student assessment / progress data but fails in one of the following steps: <ul><li>Use data to analyze student progress toward mastery or to plan future lessons / units</li><li>Have a grading system that appropriately aligns with student learning goals</li></ul>",
          "Highly effective": "Teacher uses a data tracking system to record student assessment / progress data, maintains a grading system appropriately aligns with student learning goals, and uses data to analyze student progress toward mastery or to plan future lessons / units"
        }
      }
    }
  ]
};
```

### `src/app/components/survey.component.css`

```css
.sd-matrix__text {
    font-size: 11px;
}
```

### `src/app/components/survey.component.html`

```html
<survey [model]="model" style="position: absolute; top: 0; left: 0; right: 0; bottom: 0; height:100%"></survey>
```

### `src/app/components/survey.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { json } from "./json";
import "./survey.component.css";
import "survey-core/survey-core.min.css";

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./survey.component.html",
    styleUrls: ["./survey.component.css"]
})
export class SurveyComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.onTextMarkdown.add((_, options) => {
            options.html = options.text;
        });
        survey.onComplete.add((sender, options) => {
            console.log(JSON.stringify(sender.data, null, 3));
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyComponent } from "./components/survey.component";

@NgModule({
    declarations: [AppComponent, SurveyComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<app-root></app-root>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css
.sd-matrix__text {
    font-size: 11px;
}
```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/form-library/examples/scoring-rubric-example/reactjs.md)
- [Vue 3](https://surveyjs.io/form-library/examples/scoring-rubric-example/vue3js.md)
- [jQuery](https://surveyjs.io/form-library/examples/scoring-rubric-example/jquery.md)
- [Vanilla JS](https://surveyjs.io/form-library/examples/scoring-rubric-example/vanillajs.md)
